<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="24dp"
    tools:context=".ui.activity.welcome.AgreementActivity">

    <ImageView
        android:id="@+id/logoImageView"
        android:layout_width="120dp"
        android:layout_height="120dp"
        android:src="@mipmap/logo"
        app:layout_constraintBottom_toTopOf="@+id/checkboxLayout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.55" />

    <LinearLayout
        android:id="@+id/checkboxLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="32dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toTopOf="@id/btnStart">

        <CheckBox
            android:id="@+id/checkBoxAgree"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />

        <TextView
            android:id="@+id/textAgreement"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:clickable="true"
            android:focusable="true"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:lineSpacingExtra="8dp"
            android:layout_gravity="center"
            android:text="@string/agreement_text"
            android:textColor="#666666"
            android:textIsSelectable="false"
            android:textSize="18sp" />
    </LinearLayout>

    <Button
        android:id="@+id/btnStart"
        android:layout_width="257dp"
        android:layout_height="48dp"
        android:layout_marginBottom="28dp"
        android:backgroundTint="@color/blue"
        android:text="@string/start"
        android:textAllCaps="false"
        android:textColor="@android:color/white"
        android:textSize="21sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>
